<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ejercicio4-1</title>
    <style>
         body{
            margin:0;
        }
        #contenedor{
            width:100%;
            max-width: 1440px;
            min-width: 360px;
            margin: 0 auto;
            text-align: center;
         }
        #caja1{
            width: 30%;
            background-color: cadetblue;
            float: left;
        }
        #caja2{
            width: 70%;
            background-color:grey;
            float: left;
        }
        #caja3{
            width: 25%;
            background-color:blue;
            float: left;
        }
        #caja4{
            width: 50%;
            background-color:brown;
            float: left;
        }
        #caja5{
            width: 25%;
            background-color:green;
            float: left;
        }
        #caja6{
            width: 100%;
            background-color:chartreuse;
            float: left;
        }
        @media (max-width: 700px) {
            #caja1 , #caja2, #caja3, #caja4{
                width: 50%;
            }
            #caja5 , #caja6{
                width: 100%;
            }
        }
        @media (max-width: 400px){
            #caja1 ,#caja2 ,#caja3 ,#caja4 ,#caja5 ,#caja6{
                width: 100%;
            }
        }
    </style>;
</head>
<body>
    <div id="contenedor">
        <div id="caja1">
            <h1>caja1</h1>
        </div>
        <div id="caja2">
            <h1>caja2</h1>
        </div>
        <div id="caja3">
            <h1>caja3</h1>
        </div>
        <div id="caja4">
            <h1>caja4</h1>
        </div>
        <div id="caja5">
            <h1>caja5</h1>
        </div>
        <div id="caja6">
            <H1>caja6</H1>
        </div>

    </div>
</body>
</html>